﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.Services.IGenericEntityService;
using DepartmentContract.ViewModels;
using ToolsModule.ManagmentEntity;
using ToolsModule.ManagmentSecurity;

namespace DepartmentBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы с записями историй синхронизации приказов
    /// </summary>
    public class OrderSyncHistoryRecordBusinessLogic : GenericBusinessLogic<OrderSyncHistoryRecordGetBindingModel, OrderSyncHistoryRecordSetBindingModel, OrderSyncHistoryRecordListViewModel, OrderSyncHistoryRecordViewModel>, IOrderSyncHistoryRecordLogic
	{
		public OrderSyncHistoryRecordBusinessLogic(IOrderSyncHistoryRecordService service) : base(service, "Синхронизация Приказов", AccessOperation.СинхронизацияПриказов) { }
	}
}