﻿using CoreModels.ModelsDepartment;
using System;
using ToolsModule.ManagmentEntity;
using ToolsModule.ManagmentMapping;

namespace DepartmentContract.ViewModels
{
    /// <summary>
    /// Список записей историй синхронизации приказов
    /// </summary>
    public class OrderSyncHistoryRecordListViewModel : ListViewModel<OrderSyncHistoryRecordViewModel> { }

	/// <summary>
	/// Элемент записи историй синхронизации приказов
	/// </summary>
	[ViewModelControlElementClass(HaveDependenceEntities = false, Width = 800, Height = 500)]
	public class OrderSyncHistoryRecordViewModel : ElementViewModel, IOrderSyncHistoryRecordModel
	{
		[ViewModelControlElementProperty("История", ControlType.ControlGuid, MustHaveValue = true, ReadOnly = false, ControlTypeObject = "DepartmentWindowsDesktop.EntityControls.ControlOrderSyncHistoryList, DepartmentWindowsDesktop")]
		public Guid OrderSyncHistoryId { get; set; }

		[ViewModelControlListProperty("Дата", ColumnWidth = 100, DefaultCellStyleFormat = "dd.MM.yyyy")]
		[MapConfiguration("OrderSyncHistory.SyncDate")]
		public DateTime SyncDate { get; set; }

		[ViewModelControlListProperty("Описание")]
		[ViewModelControlElementProperty("Описание", ControlType.ControlText, Height = 200, MustHaveValue = true)]
		public string Information { get; set; }
	}
}